package org.texttechnologylab.project.gruppe_05_1.database.domainimp.speeches;

import org.bson.Document;
import org.texttechnologylab.project.gruppe_05_1.xml.speeches.Impls.Line_File_Impl;
import org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces.Line;


public class Line_MongoDB_Impl extends Line_File_Impl implements Line {
    public Line_MongoDB_Impl(Document mongoDocument) {
        super(
                mongoDocument.getInteger("contentId"),
                mongoDocument.getInteger("speechId"),
                mongoDocument.getString("content"));
    }
}
